arr = [2,3,4,5]

v1 = Vector[*arr]               # Vector[2,3,4,5]
v2 = Vector.elements(arr)       # Vector[2,3,4,5]
v3 = Vector.elements(arr,false) # Vector[2,3,4,5]
arr[2] = 7                      # v3 is now Vector[2,3,7,5]

